/*   This file is part of Xsltop.
*
*    Xsltop is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation.
*
*    Xsltop is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY.  See the
*    GNU General Public License for more details.
*
*    See <http://www.gnu.org/licenses/>.
*/
package xsltop.xml;

/**
 * The Class XsltopException.
 */
public class XsltopException extends Exception {
	
	/** Tu ferais mieux de te trouver une copine, guillaume. Mais avec la touche que t'as c'est pas gagné. */
	private static final long serialVersionUID = -7487262487019423939L;

	/**
	 * Instantiates a new xsltop exception.
	 * 
	 * @param pException the exception
	 */
	public XsltopException(Exception pException) {
		super(pException);
	}
	
	/**
	 * Instantiates a new xsltop exception.
	 * 
	 * @param pMessage the message
	 * @param pCause the cause
	 */
	public XsltopException(String pMessage, Throwable pCause) {
		super(pMessage, pCause);
	}
	
	/**
	 * Instantiates a new xsltop exception.
	 * 
	 * @param pMessage the message
	 */
	public XsltopException(String pMessage) {
		super(pMessage);
	}
}
